Subject: Re: [PATCH 1/5 2.6.21-rc4] l2tp: pppol2tp core

From: James Chapman <[email-masked]>
Date: Sat, 24 Mar 2007 17:37:39 +0000

Florian Zumbiehl wrote:
> Hi,
> 
>> + * 251003 :	Copied from pppoe.c version 0.6.9.
> 
> you might want to have a look at the patches to the PPPoE code that were
> posted to netdev recently, as some of them seem to apply to code that's
> left over from pppoe.c.

Do you mean this change?

  * 070228 : Fix to allow multiple sessions with same remote MAC and same
  *	    session id by including the local device ifindex in the
  *	    tuple identifying a session. This also ensures packets can't
  *          be injected into a session from interfaces other than the
  *          one	specified by userspace. Florian Zumbiehl <[email-masked]>

The pppoe session hash table isn't used in the pppol2tp code so the 
above change doesn't affect pppol2tp. I rechecked the latest pppoe.c and 
I don't see other changes that haven't already been incorporated in 
pppol2tp. Which specific code in pppol2tp do you think needs to be updated?

Thanks

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development